<?php

namespace App\ViewModels\Administrativo\AdministrativoDetailsViewModel;

use App\Utils\Entity;

class AdministrativoDetailsViewModel extends Entity {
	protected $id;
	protected $cpf;
	protected $rg;
	protected $nome;
	protected $genero;
	protected $data_nascimento;
	protected $telefone_1;
	protected $telefone_2;
	protected $cep;
	protected $numero;
	protected $complemento;
	protected $referencias;
	protected $estado;
	protected $cidade;
	protected $bairro;
	protected $logradouro;
	protected $email;
	protected $foto;
	protected $profissao;
	protected $estado_civil;
	protected $ativo;
	protected $ativo_descricao;
	protected $tipo;
	protected $id_clinica;
	protected $nome_fantasia;
	protected $id_perfil;
	protected $descricao_perfil;

	public static function builder(): AdministrativoDetailsViewModelBuilder {

		return new AdministrativoDetailsViewModelBuilder();

	}

	/**
	 *
	 * @return mixed
	 */
	public function getIdClinica() {

		return $this->id_clinica;

	}

	/**
	 *
	 * @param mixed $id_clinica
	 */
	public function setIdClinica($id_clinica): void {

		$this->id_clinica = $id_clinica;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getNomeFantasia() {

		return $this->nome_fantasia;

	}

	/**
	 *
	 * @param mixed $nome_fantasia
	 */
	public function setNomeFantasia($nome_fantasia): void {

		$this->nome_fantasia = $nome_fantasia;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getIdPerfil() {

		return $this->id_perfil;

	}

	/**
	 *
	 * @param mixed $id_perfil
	 */
	public function setIdPerfil($id_perfil): void {

		$this->id_perfil = $id_perfil;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getDescricaoPerfil() {

		return $this->descricao_perfil;

	}

	/**
	 *
	 * @param mixed $descricao_perfil
	 */
	public function setDescricaoPerfil($descricao_perfil): void {

		$this->descricao_perfil = $descricao_perfil;

	}

	public function getId(): int {

		return $this->id;

	}

	public function getCpf(): string {

		return $this->cpf;

	}

	public function getRg(): string {

		return $this->rg;

	}

	public function getNome(): string {

		return $this->nome;

	}

	public function getGenero(): string {

		return $this->genero;

	}

	public function getDataNascimento(): string {

		return $this->data_nascimento;

	}

	public function getTelefone1(): string {

		return $this->telefone_1;

	}

	public function getTelefone2(): string {

		return $this->telefone_2;

	}

	public function getCep(): string {

		return $this->cep;

	}

	public function getNumero(): string {

		return $this->numero;

	}

	public function getComplemento(): string {

		return $this->complemento;

	}

	public function getReferencias(): string {

		return $this->referencias;

	}

	public function getEstado(): string {

		return $this->estado;

	}

	public function getCidade(): string {

		return $this->cidade;

	}

	public function getBairro(): string {

		return $this->bairro;

	}

	public function getLogradouro(): string {

		return $this->logradouro;

	}

	public function getEmail(): string {

		return $this->email;

	}

	public function getFoto(): string {

		return $this->foto;

	}

	public function getProfissao() {

		return $this->profissao;

	}

	public function getEstadoCivil() {

		return $this->estado_civil;

	}

	public function getAtivo(): int {

		return $this->ativo;

	}

	public function getAtivoDescricao() {

		return $this->ativo_descricao;

	}

	public function getTipo() {

		return $this->tipo;

	}

	public function setId(int $id): void {

		$this->id = $id;

	}

	public function setCpf(string $cpf): void {

		$this->cpf = $cpf;

	}

	public function setRg(string $rg): void {

		$this->rg = $rg;

	}

	public function setNome(string $nome): void {

		$this->nome = $nome;

	}

	public function setGenero(string $genero): void {

		$this->genero = $genero;

	}

	public function setDataNascimento(string $data_nascimento): void {

		$this->data_nascimento = $data_nascimento;

	}

	public function setTelefone1(string $telefone_1): void {

		$this->telefone_1 = $telefone_1;

	}

	public function setTelefone2(string $telefone_2): void {

		$this->telefone_2 = $telefone_2;

	}

	public function setCep(string $cep): void {

		$this->cep = $cep;

	}

	public function setNumero(string $numero): void {

		$this->numero = $numero;

	}

	public function setComplemento(string $complemento): void {

		$this->complemento = $complemento;

	}

	public function setReferencias(string $referencias): void {

		$this->referencias = $referencias;

	}

	public function setEstado(string $estado): void {

		$this->estado = $estado;

	}

	public function setCidade(string $cidade): void {

		$this->cidade = $cidade;

	}

	public function setBairro(string $bairro): void {

		$this->bairro = $bairro;

	}

	public function setLogradouro(string $logradouro): void {

		$this->logradouro = $logradouro;

	}

	public function setEmail($email): void {

		$this->email = $email;

	}

	public function setFoto($foto): void {

		$this->foto = $foto;

	}

	public function setProfissao(string $profissao) {

		$this->profissao = $profissao;

	}

	public function setEstadoCivil(string $estado_civil) {

		$this->estado_civil = $estado_civil;

	}

	public function setAtivo($ativo): void {

		$this->ativo = $ativo;

	}

	public function setAtivoDescricao($ativoDescricao) {

		$this->ativo_descricao = $ativoDescricao;

	}

	public function setTipo($tipo): void {

		$this->tipo = $tipo;

	}

}